@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
    font-size: 16px;
    line-height: 1.6;
}
body {
    min-height: 100%;
    color: $primary;
    background-color: $white;
    font-family: $font-family-primary;
    font-size: rem(14);
}

.container {
    width: 100%;
    margin: 0 auto;
    padding: 0 rem(16);

    @include media-breakpoint-up(sm) {
        max-width: rem(container-width(sm));
    }

    @include media-breakpoint-up(md) {
        padding: 0 rem(16);
        max-width: rem(container-width(md));
    }
    @include media-breakpoint-up(lg) {
        max-width: rem(container-width(lg));
    }

    @include media-breakpoint-up(xl) {
        padding: 0 rem(15);
        max-width: rem(container-width(xl));
    }
    @include media-breakpoint-up(xxl) {
        max-width: rem(container-width(xxl));
    }
}

.container-fluid {
    width: 100%;
    max-width: rem(1400);
    margin: 0 auto;
    padding: 0 rem(16);
}


// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 600;
    line-height: 1.4;
    font-family: $font-family-primary;
}

h1, .h1 {
    font-size: rem(18);
    line-height: rem(22);

    @include media-breakpoint-up(md) {
        font-size: rem(25);
        line-height: rem(28);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(40);
        line-height: rem(44);
    }
}

h2, .h2 {
    font-size: rem(22);
    line-height: 110%;
    margin-bottom: rem(20);

    @include media-breakpoint-up(md) {
        font-size: rem(28);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(36);
        margin-bottom: rem(24);
    }
}

h3, .h3 {
    font-weight: 700;
    font-size: rem(20);
    line-height: 120%;
    margin-bottom: rem(18);

    @include media-breakpoint-up(md) {
        font-size: rem(22);
        margin-bottom: rem(22);
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(25);
        margin-bottom: rem(32);
    }
}

h4, .h4 {
    font-size: rem(18);
    margin-bottom: rem(20);
}

h5, .h5 {
    font-size: rem(16);
    margin-bottom: rem(20);
}

h6, .h6 {
    font-weight: 700;
    font-size: rem(14);
    margin-bottom: rem(20);
}

a {
    color: $primary;
    text-decoration: underline;

    &:hover {
        color: $primary;
        text-decoration: none;
    }
}

p {
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
}

// Lists

ol,
ul {

    li {
        margin-bottom: rem(20);
    }
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: rem(20);
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


